fitness::Fitness::ErrorLogEntry Struct Reference

An entry in the reliability error log. More...

`import"Fitness.idl";`

## Public Attributes

string | id
| id of the associated data entry
int | value
| normalized value
int | thresholdValue
| normalized threshold value
long | rawValue
| raw value
int | powerOnHours
| power on hours when error occured
time | timeStampUTC
| UTC time stamp when error occured.

## Detailed Description

An entry in the reliability error log.

An error log entry is made when the normalized value of a data entry drops below the normalized threshold value.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Fitness.idl